package app

import (
	middleware "Ic_ouath/app/middlewares"
	"Ic_ouath/app/routers"
	_ "Ic_ouath/docs"
	"Ic_ouath/global"
	"github.com/gin-gonic/gin"
	swaggerFiles "github.com/swaggo/files"
	ginSwagger "github.com/swaggo/gin-swagger"
)

func InitRouter() error {
	engine := gin.New()
	//记录日志
	engine.Use(middleware.LoggerToFile())
	engine.Use(middleware.Cors())
	engine.GET("/swagger/*any", ginSwagger.DisablingWrapHandler(swaggerFiles.Handler, "NAME_OF_ENV_VARIABLE"))
	gin.SetMode(global.ServerSetting.Mode)
	routers.UserRouter(engine)
	return engine.Run(global.ServerSetting.Port)
}
