package service

import (
	"Ic_ouath/app/e"
	"Ic_ouath/models"
)

type User interface {
	// PhoneRegist 手机号注册
	PhoneRegist(user models.UserRegist) e.Rescode
	// Login 账号密码登录
	Login(user models.UserRegist) (models.UserDto, e.Rescode)
	// CodeLogin 验证码登录
	CodeLogin(user models.UserRegist) (models.UserDto, e.Rescode)
	// GetUserAll 获取所有用户
	GetUserAll() ([]models.User, e.Rescode)
	//UpdateUser 更新用户信息
	UpdateUser(id any, user models.UserVo) e.Rescode
	// DeleteUser 删除用户信息
	DeleteUser(ids []string) e.Rescode
}
