package main

import (
	"Ic_ouath/app"
	"Ic_ouath/global"
	"Ic_ouath/nats"
	_ "Ic_ouath/nats"
	"log"
)

func init() {
	err := global.SetupSetting()
	if err != nil {
		log.Fatalf("init.SetupSetting err: %v", err)
	}
	err = global.SetupDBLink()
	if err != nil {
		log.Fatalf("init.SetupDBLink err: %v", err)
	}
	nats.SetupNats()
}

// @title 统一登录平台
// @version 1.0
// @description 统一登录平台
// @Host 127.0.0.1:8080
// @BasePath /api
//
//go:generate swag init --parseDependency --parseDepth=6
func main() {
	err := app.InitRouter()
	if err != nil {
	}
}
